Bug 12046 - Authentication using CAS - bootstrap
Summary: Authentication using CAS - bootstrap
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low major (vote)
Target Milestone: ---
Assignee: Fridolin SOMERS
QA Contact: Testopia
URL:
Whiteboard:
Keywords:
Depends on:
Blocks: 17993
  Show dependency treegraph
 
Reported: 2014-04-08 14:48 UTC by Jonathan Druart
Modified: 2018-02-22 08:14 UTC (History)
3 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Bot Control: ---
When did the bot last check this:
Who signed the patch off:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 12046: Authentication using CAS - bootstrap (2.90 KB, patch)
2014-04-08 14:51 UTC, Jonathan Druart
Details | Diff | Splinter Review
[SIGNED OFF] Bug 12046: Authentication using CAS - bootstrap (3.42 KB, patch)
2014-04-08 21:35 UTC, M. Tompsett
Details | Diff | Splinter Review
[PASSED QA] Bug 12046: Authentication using CAS - bootstrap (3.53 KB, patch)
2014-04-09 19:40 UTC, Katrin Fischer
Details | Diff | Splinter Review
Bug 12046: Authentication using CAS - bootstrap (2.79 KB, patch)
2014-04-25 12:55 UTC, Fridolin SOMERS
Details | Diff | Splinter Review
Bug 12046: Authentication using CAS - bootstrap (2.86 KB, patch)
2014-04-25 13:56 UTC, Jonathan Druart
Details | Diff | Splinter Review
[PASSED QA] Bug 12046: Authentication using CAS - bootstrap (3.00 KB, patch)
2014-04-26 08:14 UTC, Katrin Fischer
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Jonathan Druart 2014-04-08 14:48:22 UTC
At the OPAC, if the bootstrap theme is used, the modal dialog does not allow to use the CAS authentication.
A link should be displayed, as on the opac-user.pl page (and on the prog theme).
Comment 1 Jonathan Druart 2014-04-08 14:51:15 UTC Comment hidden (obsolete)
Comment 2 M. Tompsett 2014-04-08 21:35:59 UTC Comment hidden (obsolete)
Comment 3 Katrin Fischer 2014-04-09 19:40:05 UTC Comment hidden (obsolete)
Comment 4 Fridolin SOMERS 2014-04-25 11:51:31 UTC
This patch does not work.
The variable CasServerUrl is always empty.
It's a major problem for CAS users.
Comment 5 Fridolin SOMERS 2014-04-25 12:23:01 UTC
(In reply to Fridolin SOMERS from comment #4)
> This patch does not work.
I've tested with a real CAS server of one of our client.
It works in opac-user but not in the modal popup (link is empty)
Comment 6 Fridolin SOMERS 2014-04-25 12:55:43 UTC Comment hidden (obsolete)
Comment 7 Jonathan Druart 2014-04-25 13:56:26 UTC Comment hidden (obsolete)
Comment 8 Jonathan Druart 2014-04-25 13:57:35 UTC
Thanks Fridolin, your patch is much more consistent than mine!
Comment 9 Katrin Fischer 2014-04-26 08:14:54 UTC
Created attachment 27647 [details] [review]
[PASSED QA] Bug 12046: Authentication using CAS - bootstrap

At the OPAC, if the bootstrap theme is used, the modal
dialog does not allow to use the CAS authentication.

This patch proposes, in case CAS is enabled, to
redirect to the opac-user.pl page (like prog theme).
This is because the popup content should stay small
(thinking about mobile surf), and that CAS url is
actually only computed in opac-user (see C4/Auth.pm)
and it would not be performant to compute it in all
pages.

Test plan:
- set syspref opacthemes to bootstrap
- enable the casAuthentication syspref
- fill the casServerUrl syspref with something like:
  https://localhost:8443/cas
- go on the opac home page
- click on "Log in to your account" link (top right)
=> You go to cgi-bin/koha/opac-user.pl page where you
  see the cas link
- disable the casAuthentication syspref
- go on the opac home page
- click on "Log in to your account" link (top right)
=> You see a popup for loggin and password

Signed-off-by: Jonathan Druart <jonathan.druart@biblibre.com>
Signed-off-by: Katrin Fischer <Katrin.Fischer.83@web.de>
Normal login still works with/without CAS.
Passes all tests and QA script.
Comment 10 Galen Charlton 2014-05-05 05:12:46 UTC
Pushed to master.  Thanks, Fridolin!
Comment 11 Fridolin SOMERS 2014-09-05 14:04:32 UTC
Pushed to 3.14.x, will be in 3.14.11